@import "../../styles/variables";
@import "../../styles/mixins";

.cui-sidebar-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: $cui-sidebar-z-index;

  .cui-sidebar-overlay {
    width: 100%;
    height: 100%;
    background: $cui-sidebar-overlay-background-color;
    transition: background-color $cui-sidebar-animation-speed ease,
                visibility $cui-sidebar-animation-speed ease;
  }

  .cui-sidebar {
    position: absolute;
    top: 0;
    bottom: 0;
    overflow-x: hidden;
    overflow-y: auto;
    background: $cui-sidebar-menu-background;
    transition: transform $cui-sidebar-animation-speed ease,
                visibility $cui-sidebar-animation-speed ease;
    @include cui-elevation(2);
  }

  &.cui-sidebar-collapsed {
    visibility: collapse;

    .cui-sidebar-overlay {
      background: transparent;
    }
    .cui-sidebar {
      transform: translateX(-100%);
    }
  }
}
